Bug 110133 - Web Inspector: Let user know when file system based uiSourceCode was changed on disk.
Summary: Web Inspector: Let user know when file system based uiSourceCode was changed ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Vsevolod Vlasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-18 09:28 PST by Vsevolod Vlasov
Modified: 2013-03-03 22:55 PST (History)
11 users (show)

See Also:


Attachments
Patch (12.90 KB, patch)
2013-02-18 09:33 PST, Vsevolod Vlasov
no flags Details | Formatted Diff | Diff
Patch (13.78 KB, patch)
2013-03-01 10:15 PST, Vsevolod Vlasov
pfeldman: review+
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vsevolod Vlasov 2013-02-18 09:28:42 PST
Patch to follow
Comment 1 Vsevolod Vlasov 2013-02-18 09:33:34 PST
Created attachment 188907 [details]
Patch
Comment 2 Pavel Feldman 2013-02-19 00:14:09 PST
Comment on attachment 188907 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=188907&action=review

As per our discussion, conflict resolution should be encapsulated in the UISourceCode if possible.

> Source/WebCore/inspector/front-end/DefaultTextEditor.js:505
> +            this._textModel.editRange(this._textModel.range(), text, this.lastSelection())

I'd do that on the call site.

> Source/WebCore/inspector/front-end/SimpleWorkspaceProvider.js:102
> +    requestUpdatedFileContent: function(path, currentContent, callback) {

{ on the next line.
Comment 3 Vsevolod Vlasov 2013-03-01 10:15:49 PST
Created attachment 190983 [details]
Patch
Comment 4 WebKit Review Bot 2013-03-01 11:19:34 PST
Comment on attachment 190983 [details]
Patch

Rejecting attachment 190983 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=webkit-commit-queue.appspot.com', '--bot-id=gce-cq-02', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 190983, '--port=chromium-xvfb']" exit_code: 2 cwd: /mnt/git/webkit-commit-queue

Last 500 characters of output:
rce/WebKit/chromium/webkit/media/crypto/ppapi/cdm --revision 181763 --non-interactive --force --accept theirs-conflict --ignore-externals' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
57>At revision 181763.

________ running '/usr/bin/python tools/clang/scripts/update.py --mac-only' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'

________ running '/usr/bin/python gyp_webkit' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
Updating webkit projects from gyp files...

Full output: http://webkit-commit-queue.appspot.com/results/16687537
Comment 5 Build Bot 2013-03-01 11:24:00 PST
Comment on attachment 190983 [details]
Patch

Attachment 190983 [details] did not pass mac-ews (mac):
Output: http://webkit-commit-queue.appspot.com/results/16772732

New failing tests:
svg/as-image/img-relative-height.html
Comment 6 Vsevolod Vlasov 2013-03-03 22:55:21 PST
Committed r144598: <http://trac.webkit.org/changeset/144598>